using System;
using System.Collections.Generic;
using Sedge.Core.Configuration;
using Sedge.Core.Configuration.Report;
using Sedge.Core.Execution.ReportElements;

namespace Demo.Customization
{
	public class DateSource : IDataSource
	{
		private Suite _suite;

		public string Caption { get; set; }
		public Options Options { get; set; }

		public void PrepareSource(Suite suite)
		{
			_suite = suite;
		}

		public List<IReportElement> GetReportElements()
		{
			ReportTable table = new ReportTable(_suite) {Header = Caption};
			table.AddRow("Date: ", DateTime.Now.ToString());

			return new List<IReportElement> {table};
		}

	}
}