namespace Sedge.Core.Globalization
{
	public class Translation
	{
		public string WarningTemplate = "Warning: {0}";
		public string ErrorTemplate = "Error: {0}";

		// Errors
		public string ESuiteNotFound = "Suite not found in {0}";
		public string EIncorrectFormat = "Incorrect configuration file format {0}";
		public string EFileNotFound = "File not found: {0}";
		public string ETypeNotFound = "Type not found: {0}";
		public string EInvalidType = "Invalid type: {0}";
		public string EInvalidParameter = "Invalid command line parameter(s)";

		//Warnings
		public string WInvalidSourceTag = "Invalid Source tag {0}";
		public string WInvalidPropertyTag = "Invalid Property tag {0}";
		public string WDuplicatedAppName = "Duplicated application name {0}";
		public string WInvalidGroupTag = "Invalid Group tag {0}";
		public string WEmptyGroup = "Empty group {0}";
		public string WMissedAttribute = "Missed attribute {0}";
		public string WEmptySchedule = "Empty schedule";
		public string WFolderNotFound = "Folder not found: {0}";

		// Messages
		public string MsgError = "Error";
		public string MsgErrorFileSave = "File could not be saved {0}";
		public string MsgErrorFileDelete = "File could not be deleted {0}";
		public string MsgErrorFilesDelete = "One or more files are locked and cannot be deleted";
		public string MsgMAPISendError = "MAPI send error: {0}";

		// MainForm
		public string MFormCaption = "Sedge Error Reporting Tool";
		public string MFormCancel = "Are you sure you want to quit?";

		// Buttons
		public string ButtonBack = "< &Back";
		public string ButtonNext = "&Next >";
		public string ButtonCancel = "&Cancel";
		public string ButtonFinish = "&Finish";

		public string ButtonTake = "&Take screenshot";
		public string ButtonRemove = "&Remove";
		public string ButtonEdit = "&Annotate";

		// Welcome View
		public string WelcomeViewCaption = "Welcome to Sedge reporting tool";
		public string WelcomeHeader = "Error reporting";
		public string WelcomeText = "Please follow the instructions to create an error report. Press Next button to begin.";

		// Screenshot View
		public string ScreenshotViewCaption = "You can add a screenshot to your report";

		//ErrorDetails View
		public string DetailsCaption = "Please provide a description of the issue";
		public string DetailsApp = "Application: ";
		public string DetailsSeverity = "Severity: ";
		public string DetailsSeverityLevels = "Urgent,High,Medium,Low";
		public string DetailsReportType = "Report type: ";
		public string DetailsReportTypes = "Error report,Suggestion";
		public string DetailsDescription = "Step-by-step description: ";
		public string DetailsExample = "Example description";

		//Contacts View
		public string ContactsCaption = "Please provide your contact information";
		public string ContactsFirstName = "First name: ";
		public string ContactsLastName = "Last name: ";
		public string ContactsCompany = "Company name: ";
		public string ContactsEmail = "E-mail address: ";
		public string ContactsPhone = "Phone: ";
		public string ContactsFile = "Attached file: ";
		public string ContactsBrowse = "Browse...";

		//TrackingInfo View
		public string TrackingInfoCaption = "Issue tracking";
		public string TrackingInfoFeature = "Feature:";
		public string TrackingInfoStory = "Story:";
		public string TrackingInfoContact = "Contact:";
		public string TrackingInfoIteration = "Iteration:";
		public string TrackingInfoNotes = "Notes:";

		// Collect View
		public string CollectCaption = "Final step";
		public string CollectHeaderGenerating = "Generating report...";
		public string CollectHeaderDone = "Report ready";
		public string CollectViewReport = "View report...";
		public string CollectSendReport = "Send...";
		public string CollectDeleteReport = "Delete report on exit";

		public string CollectStepCopyTemplate = "Copying template files";
		public string CollectStepCreateIndexTemplate = "Creating report index file";
		public string CollectStepData = "Receive information";
		public string CollectZipData = "Zip report files";
		public string CollectStepReady = "Ready";
	}
}