using System;
using Sedge.Core.Configuration;
using Sedge.Core.Globalization;

namespace Sedge.UI.ViewModel
{
	public class WelcomeViewModel
	{
		private readonly Options _options;

		public string Header
		{
			get
			{
				String header = _options.Header();
				if (String.IsNullOrEmpty(header))
					header = Locale.Strings.WelcomeHeader;
				
				return header;
			}
		}

		public string Text
		{
			get
			{
				String text = _options.Text();
				if (String.IsNullOrEmpty(text))
					text = Locale.Strings.WelcomeText;

				return text;
			}
		}

		public WelcomeViewModel(Options options)
		{
			_options = options;
		}
	}
}